Create custom profile field value
Stores a value for a custom profile field. Empty values are ignored, and values cannot be modified from a parent tenant.
Headers
- Type: stringX
- Api - Version Optional API version for this request. When omitted, the server uses the default version. This documentation describes version 2026-03-25.
Body
required
application/json
- Type: integercustom
_profile _field _id requiredInteger numbers.
- Type: integeruser
_id requiredInteger numbers.
- Type: string | nullvalue
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for post/custom_profile_field_values
curl https://api.getcommunal.com/api/custom_profile_field_values \
--request POST \
--header 'X-Api-Version: 2026-03-25' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"value": null,
"user_id": 1,
"custom_profile_field_id": 1
}'
{
"id": 1,
"tenant_id": null,
"value": "string",
"user_id": null,
"custom_profile_field_id": 1,
"created_at": null,
"updated_at": null,
"deleted_at": null,
"custom_profile_field": "string"
}